<?php

namespace ZPOS\Gateway;

use WC_Order;
use ZPOS\API;
use ZPOS\Model\Gateway;

class QRCode extends Base
{
	public $id = 'pos_qrcode';
	public $method_title = 'QR Code';
	public $has_fields = true;
	public $supports = ['products', 'pos'];

	public static function getID()
	{
		return 'pos_qrcode';
	}

	public function __construct()
	{
		parent::__construct();

		$this->title = $this->get_option('title');
		$this->description = $this->get_option('description');

		// Actions
		add_action('woocommerce_pos_update_options_payment_gateways_' . $this->id, [
			$this,
			'process_admin_options',
		]);
	}

	public function process_payment($order)
	{
		if (empty(get_post_meta($order->id, 'pos_payment_complete_by', true))) {
			return [
				'result' => 'failed',
			];
		}

		// get order object
		$order = new WC_Order($order);

		// payment complete
		$order->update_status(Gateway::getGatewayOrderStatus($this->id));
		// success
		return [
			'result' => 'success',
		];
	}
}
